Package org.wso2.carbon.logging.admin.stub.types.axis2

# Class LoggingAdminConfigurationException

java.lang.Object
org.wso2.carbon.logging.admin.stub.types.axis2.LoggingAdminConfigurationException

All Implemented Interfaces:
  `Serializable`, `org.apache.axis2.databinding.ADBBean`

public class LoggingAdminConfigurationException extends Object implements org.apache.axis2.databinding.ADBBean
LoggingAdminConfigurationException bean class

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `LoggingAdminConfigurationException.Factory`
  Factory class that keeps the parse method

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ConfigurationException`
  `localConfigurationException`
  field for ConfigurationException
  `protected boolean`
  `localConfigurationExceptionTracker`
  `static final QName`
  `MY_QNAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoggingAdminConfigurationException()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConfigurationException`
  `getConfigurationException()`
  Auto generated getter method
  `org.apache.axiom.om.OMElement`
  `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
  `XMLStreamReader`
  `getPullParser(QName qName)`
  databinding method to get an XML representation of this object
  `boolean`
  `isConfigurationExceptionSpecified()`
  `void`
  `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
  `void`
  `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
  `void`
  `setConfigurationException(ConfigurationException param)`
  Auto generated setter method

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MY_QNAME

    public static final QName MY_QNAME

  - ### localConfigurationException

    protected ConfigurationException localConfigurationException
    field for ConfigurationException

  - ### localConfigurationExceptionTracker

    protected boolean localConfigurationExceptionTracker

- ## Constructor Details

  - ### LoggingAdminConfigurationException

    public LoggingAdminConfigurationException()

- ## Method Details

  - ### isConfigurationExceptionSpecified

    public boolean isConfigurationExceptionSpecified()

  - ### getConfigurationException

    public ConfigurationException getConfigurationException()
    Auto generated getter method
    Returns:
      org.apache.commons.configuration.xsd.ConfigurationException

  - ### setConfigurationException

    public void setConfigurationException(ConfigurationException param)
    Auto generated setter method
    Parameters:
      `param` - ConfigurationException

  - ### getOMElement

    public org.apache.axiom.om.OMElement getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory) throws org.apache.axis2.databinding.ADBException
    Specified by:
      `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
    Parameters:
      `parentQName` -
      `factory` -
    Returns:
      org.apache.axiom.om.OMElement
    Throws:
      `org.apache.axis2.databinding.ADBException`

  - ### serialize

    public void serialize(QName parentQName, XMLStreamWriter xmlWriter) throws XMLStreamException, org.apache.axis2.databinding.ADBException
    Specified by:
      `serialize` in interface `org.apache.axis2.databinding.ADBBean`
    Throws:
      `XMLStreamException`
      `org.apache.axis2.databinding.ADBException`

  - ### serialize

    public void serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType) throws XMLStreamException, org.apache.axis2.databinding.ADBException
    Specified by:
      `serialize` in interface `org.apache.axis2.databinding.ADBBean`
    Throws:
      `XMLStreamException`
      `org.apache.axis2.databinding.ADBException`

  - ### getPullParser

    public XMLStreamReader getPullParser(QName qName) throws org.apache.axis2.databinding.ADBException
    databinding method to get an XML representation of this object
    Specified by:
      `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
    Throws:
      `org.apache.axis2.databinding.ADBException`